#!/usr/bin/env -S awk -f

/^>/ {
    locus=$3
    split(":", arr, locus)
    chromosome=arr[3]
    if (chromosome == "Mt" || chromosome == "Pt" || chromosome ~ /supercontig/) {
        record_id=$1
        gsub(">", "", record_id)
        print record_id
    }
}